// CPolhemusStatusBarActiveXControlPropPage.cpp : Implementation of the CCPolhemusStatusBarActiveXControlPropPage property page class.

#include "stdafx.h"
#include "CPolhemusStatusBarActiveXControl.h"
#include "CPolhemusStatusBarActiveXControlPropPage.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


IMPLEMENT_DYNCREATE(CCPolhemusStatusBarActiveXControlPropPage, COlePropertyPage)



// Message map

BEGIN_MESSAGE_MAP(CCPolhemusStatusBarActiveXControlPropPage, COlePropertyPage)
END_MESSAGE_MAP()



// Initialize class factory and guid

IMPLEMENT_OLECREATE_EX(CCPolhemusStatusBarActiveXControlPropPage, "CPOLHEMUSSTATU.CPolhemusStatuPropPage.1",
	0x78a67203, 0x7f2a, 0x4ea5, 0xae, 0x4, 0xb, 0xd9, 0x0, 0x5e, 0xcd, 0x92)



// CCPolhemusStatusBarActiveXControlPropPage::CCPolhemusStatusBarActiveXControlPropPageFactory::UpdateRegistry -
// Adds or removes system registry entries for CCPolhemusStatusBarActiveXControlPropPage

BOOL CCPolhemusStatusBarActiveXControlPropPage::CCPolhemusStatusBarActiveXControlPropPageFactory::UpdateRegistry(BOOL bRegister)
{
	if (bRegister)
		return AfxOleRegisterPropertyPageClass(AfxGetInstanceHandle(),
			m_clsid, IDS_CPOLHEMUSSTATUSBARACTIVEXCONTROL_PPG);
	else
		return AfxOleUnregisterClass(m_clsid, NULL);
}



// CCPolhemusStatusBarActiveXControlPropPage::CCPolhemusStatusBarActiveXControlPropPage - Constructor

CCPolhemusStatusBarActiveXControlPropPage::CCPolhemusStatusBarActiveXControlPropPage() :
	COlePropertyPage(IDD, IDS_CPOLHEMUSSTATUSBARACTIVEXCONTROL_PPG_CAPTION)
{
	SetHelpInfo(_T("Names to appear in the control"), _T("CPolhemusStatusBarActiveXControl.HLP"), 0);
}



// CCPolhemusStatusBarActiveXControlPropPage::DoDataExchange - Moves data between page and properties

void CCPolhemusStatusBarActiveXControlPropPage::DoDataExchange(CDataExchange* pDX)
{
	DDP_PostProcessing(pDX);
}



// CCPolhemusStatusBarActiveXControlPropPage message handlers
